gtkmm: Gtk::StylePropertyBase Class Reference

gtkmm 3.22.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Gtk::StylePropertyBase Class Reference

Base class for widget style properties. More...

`#include <gtkmm/styleproperty.h>`

Inheritance diagram for Gtk::StylePropertyBase:
[legend]

## Public Member Functions
Glib::ustring | get_name () const
| Returns the name of the style property. More...

## Protected Member Functions
| StylePropertyBase (Gtk::Widget& widget, GType value_type)
| Constructs a style property of type value_type for widget. More...
| ~StylePropertyBase () noexcept
bool | lookup_style_property (const Glib::ustring& name)
| Checks if the style property has already been installed. More...
void | install_style_property (GParamSpec* param_spec)
| Installs the style property specified by the given param_spec. More...
const char* | get_name_internal () const
| Returns the name of the style property. More...

## Protected Attributes
Gtk::Widget* | widget_
GType | value_type_
GParamSpec* | param_spec_

## Detailed Description

Base class for widget style properties.

This class manages the value type-agnostic bits of style properties.

Since gtkmm 3.16:

## Constructor & Destructor Documentation

Gtk::StylePropertyBase::StylePropertyBase | ( | Gtk::Widget& | widget,
|  | GType | value_type
| ) |  |
| protected

Constructs a style property of type value_type for widget.

The property is not registered in Gtk, call install_style_property() in order to do that. The properties are usually installed on the initialization of the first instance of a widget.

Gtk::StylePropertyBase::~StylePropertyBase | ( |  | ) |
| protectednoexcept

## Member Function Documentation

Glib::ustring Gtk::StylePropertyBase::get_name | ( |  | ) | const

Returns the name of the style property.

const char* Gtk::StylePropertyBase::get_name_internal | ( |  | ) | const
| protected

Returns the name of the style property.

void Gtk::StylePropertyBase::install_style_property | ( | GParamSpec * | param_spec | ) |
| protected

Installs the style property specified by the given param_spec.

bool Gtk::StylePropertyBase::lookup_style_property | ( | const Glib::ustring & | name | ) |
| protected

Checks if the style property has already been installed.

## Member Data Documentation

GParamSpec* Gtk::StylePropertyBase::param_spec_
| protected

GType Gtk::StylePropertyBase::value_type_
| protected

Gtk::Widget* Gtk::StylePropertyBase::widget_
| protected